/**
 * TREE_001 部件模型
 *
 * @export
 * @class TREE_001Model
 */
export default class TREE_001Model {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof TREE_001Model
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'createdate',
      },
      {
        name: 'hromhierarchy',
        prop: 'omhierarchyid',
      },
      {
        name: 'omhierarchyname',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'updateman',
      },
      {
        name: 'createman',
      },
      {
        name: 'organizationid',
      },
      {
        name: 'pomhierarchyid',
      },
      {
        name: 'hromhierarchycatid',
      },
      {
        name: 'pomhierarchyname',
      },
      {
        name: 'organizationname',
      },
      {
        name: 'showorder',
      },
      {
        name: 'hromhierarchycatname',
      },
      {
        name: 'shortname',
      },
    ]
  }


}